
# This script needs to be run in a terminal where the proper ssh agent for
# github has been created. I'm not sure how much more general I need to make
# this, but always open to suggestions if other people want to bump the version.

if [ -d "./General" ]; then
  echo "Found local clone of General already, fast-forwarding..."
  cd General
  git merge upstream/master
  cd ../
else
  echo "Cloning into fork of General syncing..."
  git clone git@github.com:cgeoga/General.git
  cd General
  git remote add upstream https://github.com/JuliaRegistries/General.git
  git merge upstream/master
  #git remote rm upstream
  #git checkout -b standaloneipopt_update
  cd ../
fi

# Now run the julia script:
echo "Updating package version..."
$JULIA_HOME/julia --project updater.jl

# Erase General:
rm -rf General/

